import { Configuration, Timestamp } from '@energyweb/utils-general';
import { ICertificationRequest } from '@energyweb/origin-backend-core';
import { PreciseProofEntity } from './PreciseProofEntity';
export declare class Entity extends PreciseProofEntity implements ICertificationRequest {
    isPrivate: boolean;
    owner: string;
    fromTime: Timestamp;
    toTime: Timestamp;
    deviceId: string;
    approved: boolean;
    revoked: boolean;
    created: Timestamp;
    files: string[];
    energy: number;
    initialized: boolean;
    constructor(id: number, configuration: Configuration.Entity, isPrivate?: boolean);
    sync(): Promise<Entity>;
    approve(): Promise<number>;
    revoke(): Promise<void>;
    requestMigrateToPublic(value: number): Promise<any>;
}
export declare const createCertificationRequest: (fromTime: number, toTime: number, energy: number, deviceId: string, configuration: Configuration.Entity<any, any>, files: string[], isVolumePrivate?: boolean, forAddress?: string) => Promise<Entity>;
export declare function getAllCertificationRequests(configuration: Configuration.Entity): Promise<Entity[]>;
